version: 3.9
services:
  app:
    image: registery.gitlab.com/francois.guillemot123/mooc-deploiement-githubflow/app:0.2.0
    port:
      - 8080:3001
    deploy:
      replica: 3 
      update_config:
        delay: start-first
      rollback_config:
        order: start-first
      

